# Visual3d_TypeOfSurfaceDetail.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Visual3d_TypeOfSurfaceDetail { Visual3d_TOD_NONE, Visual3d_TOD_ENVIRONMENT, Visual3d_TOD_ALL }
| Modes of visualisation of objects in a view . More...

## Enumeration Type Documentation

enum Visual3d_TypeOfSurfaceDetail

Enumeration values:

  Visual3d_TOD_NONE |
  Visual3d_TOD_ENVIRONMENT |
  Visual3d_TOD_ALL |